#include<bits/stdc++.h>
using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	int n;
	cin >> n;
	int x[n],y[n],z[n],m[n+1] = {0};
	for(int i = 0; i < n;i++) cin >> x[i];
	for(int i = 0; i < n;i++) cin >> y[i];
	for(int i = 0; i < n;i++) cin >> z[i];
	for(int i = 0; i < n;i++) m[z[i]]++; 
	int s = 0;
	for(int i = 0; i < n;i++)
	{
		for(int j = 0; j < n;j++)
		{
			if(x[i] == y[j]) s+= m[j+1];
		}
	}
	cout << s;
}